#!/usr/bin/env node

var json = require('json-update');
var yargs = require('yargs');
var at = yargs
    .command('type' ,' --type               Enter heap or report',{
        type:{
            describe: 'Process to run',
            demand: true
        }
    })
    .command('num', ' --num                Number of times the heapdump or node report',{
        num:{
            describe: 'Number of times'
        }
    })
    .command('int', ' --int               Enter the interval for heapdumbs',{
        int: {
            describe: 'Set Interval'
        }
    })
    .command('dir',' --dir         Enter path',{
        dir:{
            describe : 'eg /tmp/',
            demand: true
        }
    })
    .demand('type')
    .demand('dir')
    .help()
    .argv;

var configFilePath = '/tmp/middleware_config.json';

var obj = {
    "type": at.type,
    "nTimes": at.num || 1,
    "nIntervals": at.int || 50,
    "defaultOutputDir": at.dir
};

json.update(configFilePath,obj)
    .then(function(dat) {
        console.log("Config.json saved to "+configFilePath + " from cli.js");
    })
    .catch(function (err) {
        console.error(err);
    });
